String header = R"=====(
HTTP/1.1 200 OK
Content-Type: text/html
Connection: keep-alive
)=====";

String html_1 = R"=====(
<!DOCTYPE html>
<html>
<head>
 <meta name='viewport' content='width=device-width, initial-scale=1.0'/>
 <link rel=\"icon\" href=\"data:,\">
 <meta content="text/html; charset=UTF-8" http-equiv="content-type">  
 <style>
  body {font-size:16px; } 
  #main {display: table; margin: auto;  padding: 0 5px 0 5px;  } 
  h2 {text-align:center; } 
  
.btn_on {
  background: #3498db;
  -webkit-border-radius: 50;
  -moz-border-radius: 50;
  border-radius: 25px;
  font-family: Arial;
  color: #ffffff;
  cursor:pointer;
  vertical-align: center; 
  text-align: center;
  width  :    50px;
  height :    25px;
  font-size:  14px; 
}

.btn_on:focus {
  outline: 0;
}

.btn_on:hover {
  background: #67b2e4;
  text-decoration: none;
}

.btn_reboot {
  background: #3498db;
  -webkit-border-radius: 50;
  -moz-border-radius: 50;
  border-radius: 25px;
  font-family: Arial;
  color: #ffffff;
  cursor:pointer;
  vertical-align: center; 
  text-align: center;
  width  :    100px;
  height :    25px;
  font-size:  14px; 
}

.btn_reboot:focus {
  outline: 0;
}

.btn_reboot:hover {
  background: #67b2e4;
  text-decoration: none;
}

.btn_reboot_off {
  background: #ed13e9;
  -webkit-border-radius: 50;
  -moz-border-radius: 50;
  border-radius: 25px;
  font-family: Arial;
  color: #ffffff;
  cursor:pointer;
  vertical-align: center; 
  text-align: center;
  width  :    100px;
  height :    25px;
  font-size:  14px; 
}

.btn_reboot_off:focus {
  outline: 0;
}

.btn_reboot_off:hover {
  background: #f359f0;
  text-decoration: none;
}

.btn_off {
  background: #ed13e9;
  -webkit-border-radius: 25;
  -moz-border-radius: 25;
  border-radius: 25px;
  font-family: Arial;
  color: #ffffff
  cursor:pointer;
  vertical-align: center; 
  text-align: center;
  width  :    50px;
  height :    25px;
  font-size:  14px;
}
.btn_off:hover {
  background: #f359f0;
  text-decoration: none;
}  

.btn_off:focus {
  outline: 0;
}
</style>

<title>Netzwerkschalter</title>
<script>

  strLED1 = ""; strLED2 = "";
  var LED1_state, LED2_state = 0;
  
  function GetSwitchData()
  {
      //if(!ajaxRequest){ alert("AJAX is not supported."); return; }
      nocache = "&nocache=" + Math.random() * 1000000;
      var request = new XMLHttpRequest();
      request.onreadystatechange = function() 
      {
        if (this.readyState == 4 && this.status == 200) 
          {
            if (this.responseText != null) 
            {
              var html_text = this.responseText;                        // gesendeter Text vom ESP8266
              var text = html_text.split("<br>");                       // Text in ein Array kopieren, <br> als Trennzeichen
              document.getElementById("relais1").innerHTML = text[0];   // update Relais 1
              document.getElementById("relais2").innerHTML = text[1];   // update Relais 2
              document.getElementById("verbrauch").innerHTML = text[2]; // update Verbrauchswerte
            }
          }
        }
      request.open("GET", "ajax_switch" + strLED1 + strLED2 + nocache, true);
      request.send(null);
      setTimeout('GetSwitchData()', 1000);
      strLED1 = ""; strLED2 = "";
  }

    function GetButton(buttonID, Ausgang)
    {
     var button_text = document.getElementById(buttonID).value;
     if (button_text == "Aus")
     {
        if (Ausgang === 1)
          { strLED1 = "&LED1=1"; }
        else
          { strLED2 = "&LED2=1"; }
     }
     else if (button_text == "An")
     {
        if (Ausgang === 1)
          { strLED1 = "&LED1=0"; }
        else
          { strLED2 = "&LED2=0";}
     }
    }

</script>
</head>
<body onload="GetSwitchData()">
<div id='main'>
<h1>WLAN Netzwerksteckdose</h1>
  <table style="text-align: left; width: 600px; height: 120px;" border="0" cellpadding="0" cellspacing="0" table id = "controls">
  <tbody>
    <tr>
      <td style="width: 60px;">&nbsp;</td>
      <td><strong>Relais</strong></td>
      <td><strong>Name</strong></td>
      <td><strong>aktueller Status</strong></td>
    </tr>
    <tr>
      <td style="width: 53px;">&nbsp;</td>
      <td>1</td>
      <td>Ausgang 1</td>
      <td><div id="relais1"></div></td>
    </tr>
    <tr>
      <td style="width: 53px;">&nbsp;</td>
      <td>2</td>
      <td>Ausgang 2</td>
      <td><div id="relais2"></div></td>
    </tr>
    <tr>
      <td style="width: 53px;">&nbsp;</td>
      <td>Eingangsleistung</td>
      <td><div id="verbrauch"></div></td>
      <td></td>
    </tr>
  </tbody>
  </table>
</body>
</html>
)=====";
